//Copyright 2023 Jerry Heinsen
//Shows Tile Positions for Design.
//This is not used for the Game.
//This Script is attached to GameMaster, and is in StartGame().

using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ShowTilePositionScript : MonoBehaviour
{

	public bool DoNotShow = true;
	public int Xpos;
	public int Ypos;

//Start here.
	private void Update()
	{
		if (Global.DoNotRun)
			return;
		if (DoNotShow)
			return;
	//left click.
		if (Input.GetMouseButtonDown(0))
		{
			Vector3 p = Camera.main.ScreenToWorldPoint(Input.mousePosition);
			p.z = 0f;
			Vector3Int ip = Global.Grid.WorldToCell(p);
			Xpos = ip.x;
			Ypos = ip.y;
		}
	}

}
